xssl_cred_init(3)

NAME
xssl_cred_init - API function

SYNOPSIS
#include <gnutls/xssl.h>

int xssl_cred_init(xssl_cred_t * c, unsigned vflags, gnutls_cinput_st * aux, unsigned aux_size);

ARGUMENTS

xssl_cred_t * c
    is a pointer to xssl_cred_t structure.

unsigned vflags
    the requested peer verification methods

gnutls_cinput_st * aux
    Auxilary data to input any required CA certificate etc.

unsigned aux_size
    the number of the auxillary data provided

DESCRIPTION
This function initializes X.509 certificates in a xssl_cred_t structure. The ca_file and crl_file are required only if vflags includes GNUTLS_VMETHOD_GIVEN_CAS. The tofu_file may be set if GNUTLS_VMETHOD_TOFU is specified.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

SINCE
3.1.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/